Name:		foremost
Version:	1.5.7
Release:	35%{?dist}
Summary:	Recover files by "carving" them from a raw disk

License:	LicenseRef-Fedora-Public-Domain
URL:		http://foremost.sf.net
Source0:	http://foremost.sourceforge.net/pkg/%{name}-%{version}.tar.gz
Patch0:		foremost-broken-jpeg.patch
Patch1:		foremost-fix-permission-timestamp.patch
Patch2:		foremost-1.5.7-format-security.patch
Patch3:		foremost-1.5.7-gcc10.patch
BuildRequires:  gcc
BuildRequires: make

%description
Foremost recovers files files based on their headers, footers, and internal
data structures. This process is commonly referred to as data carving.
Foremost can work on a raw disk drive or image file generated by dd.  The
headers and footers can be specified by a configuration file or you can use
command line switches to specify built-in file types. These built-in types
look at the data structures of a given file format allowing for a more
reliable and faster recovery.

%prep
%autosetup

sed -i 's!/usr/local/etc/foremost.conf!%{_sysconfdir}/foremost.conf!' config.c
sed -i 's|^RAW_FLAGS =.*|RAW_FLAGS = %{optflags}|' Makefile

%build
make %{?_smp_mflags} CONF=%{_sysconfdir} V=1

%install
chmod 0644 *
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
make install BIN=$RPM_BUILD_ROOT%{_bindir} MAN=$RPM_BUILD_ROOT%{_mandir}/man8 \
    CONF=$RPM_BUILD_ROOT%{_sysconfdir}

%files
%doc README CHANGES
%{_bindir}/*
%{_mandir}/man8/*
%config(noreplace) %{_sysconfdir}/foremost.conf

%changelog
* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.7-35
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.7-34
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.7-33
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.7-32
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.7-31
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.7-30
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.7-29
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.7-28
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.7-27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.7-26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.7-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Feb 06 2020 Than Ngo <than@redhat.com> - 1.5.7-24
- Fix FTBFS

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.7-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.7-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.7-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Nov 18 2018 Filipe Rosset <rosset.filipe@gmail.com> - 1.5.7-20
- rebuilt to fix rhbz #1650955 replace format security patch (thanks to Jon Burgess)

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.7-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sun Apr 08 2018 Filipe Rosset <rosset.filipe@gmail.com> - 1.5.7-18
- added gcc as BR

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.7-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.7-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.7-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.7-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.7-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Jul 04 2015 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.5.7-12
- Use '|' instead of '/' in sed-pattern to filter CFLAGS (Fix FTBFS).
- Modernize spec.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.7-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.7-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.7-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Feb 25 2014 Filipe Rosset <rosset.filipe@gmail.com> - 1.5.7-8
- Fix packaging issues/guidelines
- Fix rhbz #1037067

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 02 2010 Filipe Rosset <rosset.filipe@gmail.com> - 1.5.7-2
- Fixed location of manual page reported in RH BZ#601021

* Mon Apr 05 2010 Filipe Rosset <rosset.filipe@gmail.com> - 1.5.7-1
- Update to 1.5.7 upstream
- Fix permissions reported in RH BZ#572960

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Mar 24 2008 Toshio Kuratomi <toshio@fedoraproject.org> - 1.5.3-2
- Patch to fix segfaults with broken jpeg headers from bz#438631.

* Tue Dec 04 2007 Toshio Kuratomi <a.badger@gmail.com> - 1.5.3-1
- Update to 1.5.3.  This incorporates our previous patches.
- Mass rebuild for new gcc.

* Tue Dec 04 2007 Toshio Kuratomi <a.badger@gmail.com> - 1.5.2-2
- Fix segfault reported in RH BZ#356241.

* Mon Nov 26 2007 Paul W. Frields <stickster@gmail.com> - 1.5.2-1
- Update to 1.5.2 on foremost.sf.net

* Mon Aug 20 2007 Toshio Kuratomi <a.badger@gmail.com> 1.5-1
- Update to the 1.5 on foremost.sf.net.
- Make license information correspond with the new guidelines.

* Mon Sep 04 2006 Toshio Kuratomi <toshio@tiki-lounge.com> 1.3-0.1.20060826
- Update to the 1.3 on foremost.sf.net.
- Rebuild for FC6.

* Mon Feb 13 2006 Toshio Kuratomi <toshio@tiki-lounge.com> 1.1-1.1.20060128
- Note on upstream's "beta" system to keep future maintainers out of trouble.
- Rebuild for the FC5 push.
  
* Sat Jan 28 2006 Toshio Kuratomi <toshio@tiki-lounge.com> 1.1-1
- Upgrade to 1.1.
- Rework the config patch as a sed replacement.
